ACLOCAL_AMFLAGS = -I m4

TEST_SUBDIRS = <$if concat(TEST_MODULE)$>\
	<$test_subdir: join( \\\n    )$><$endif$>
	
SUBDIRS = t2c_api/<$TARGET$> \
    testdata \
    $(TEST_SUBDIRS)

EXTRA_DIST = src include reqs testdata \
	<$SUITE_NAME$>.cfg gen_files.sh LICENSE

GTESTER = gtester
GTESTER_REPORT = gtester-report

test:
		@for tdir in $(TEST_SUBDIRS); do \
			REPORT_FILE="$$tdir/$$(basename $$tdir).xml"; \
			TEST_PROG="$$tdir/test_module"; \
			if test -e "$${TEST_PROG}"; then \
				$(GTESTER) -o="$${REPORT_FILE}" -k "$${TEST_PROG}"; \
			else \
				printf "Not found: $${TEST_PROG}.\nPlease run '$(MAKE)' first.\n"; \
				exit 1; \
			fi; \
		done
		
test-report: test
		@printf '<?xml version="1.0"?>\n' > $@.xml ; \
	    printf '<reports>\n' >> $@.xml ; \
	    for tdir in $(TEST_SUBDIRS); do \
			REPORT_FILE="$$tdir/$$(basename $$tdir).xml"; \
			if test -f "$${REPORT_FILE}"; then \
				sed '1,1s/^<?xml\b[^>?]*?>//' \
					<"$${REPORT_FILE}" >> $@.xml; \
			fi; \
	    done; \
		printf '\n</reports>\n' >> $@.xml; \
		which $(GTESTER_REPORT) 2>/dev/null 1>&2; test $$? -ne 0 || \
			$(GTESTER_REPORT) $@.xml > $@.html

# ensure the tests will be executed when 'make check' runs
check-local: test

.PHONY: test test-report
