###########################################################################
# Makefile for <$T2C_FILE_NAME$>,
# test suite:  <$SUITE_NAME$>, 
# target:      <$TARGET$>
#
# This file is created by T2C system.
###########################################################################

# Name and extension of the test source file
TEST_NAME = <$T2C_FILE_NAME$>
TEST_EXT  = <$if TEST_SOURCE_EXT$><$TEST_SOURCE_EXT$><$else$>c<$endif$>

# Common parameters
# Determine absolute suite root path here (this file might have been generated
# on another machine).
SUITE_ROOT_DIR := $(shell (cd "../.." && pwd))
SUITE_INC_DIR  = "$(SUITE_ROOT_DIR)/include"

# The following options (coming from <$SUITE_NAME$>.cfg file) may differ 
# for different test suites in the package

# If you want to specify the compiler in the <$SUITE_NAME$>.cfg file,
# set $(CC) here appropriately. 
#
# CC = ...

COMMON_CFLAGS = <$COMPILER_FLAGS$> \
	-std=c99 -D"_POSIX_C_SOURCE=200112L" \
	-I$(SUITE_INC_DIR)

COMMON_LFLAGS = <$LINKER_FLAGS$>

.PHONY: all debug clean
all: $(TEST_NAME)

$(TEST_NAME): $(TEST_NAME).$(TEST_EXT)
		$(CC) -O2 -DNDEBUG $(COMMON_CFLAGS) -o $(TEST_NAME) $< $(COMMON_LFLAGS)
		@chmod a+x $(TEST_NAME)

debug: $(TEST_NAME).$(TEST_EXT)
		$(CC) -g $(COMMON_CFLAGS) -o $(TEST_NAME) $< $(COMMON_LFLAGS)
		@chmod a+x $(TEST_NAME)

clean:
		rm -f $(TEST_NAME).o $(TEST_NAME)
