###########################################################################
# Makefile for the following test suite: <$SUITE_NAME$>, 
# target:      <$TARGET$>
#
# This file is created by T2C system.
###########################################################################

FULL_SUITE_NAME := <$SUITE_NAME$>-t2c

TESTDATA_SRC_DIR  := ./testdata/testdata_src
TESTDATA_MAKEFILE := $(TESTDATA_SRC_DIR)/Makefile

FAILED_LIST := ./tests/failed_to_build.list

.PHONY: all clean testdata_build testdata_clean
all: testdata_build
		@rm -f $(FAILED_LIST)
		$(MAKE) -C tests
		@if test -f $(FAILED_LIST); then \
			printf "Some of the tests failed to build - see $(FAILED_LIST)\n"; \
		fi

testdata_build: 
		@if test -f $(TESTDATA_MAKEFILE); then \
			$(MAKE) -C $(TESTDATA_SRC_DIR); \
		fi

testdata_clean:
		@if test -f $(TESTDATA_MAKEFILE); then \
			$(MAKE) -C $(TESTDATA_SRC_DIR) clean; \
		fi

clean: testdata_clean
		$(MAKE) -C tests clean
		rm -rf $(FAILED_LIST)
